%define languageenglazy Urdu
%define languagecode    ur
%define lc_ctype        ur_PK

Name:           hunspell-%{languagecode}
Version:        0.64.1
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://urdudictionary.codeplex.com
Source0:        https://addons.mozilla.org/firefox/downloads/file/376226/urdu_dictionary-0.64.1-typefix-sm+tb+fx.xpi#/%{name}-%{version}.xpi

BuildRequires:  redland

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ur
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell- = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary- = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
rdfproc hunspell-ur parse install.rdf
rdfproc hunspell-ur print | grep install-manifest | grep -v targetApplication | sed -e 's/.*#//' | sed -e 's/], "/: /'| sed -e 's/"}//' > CREDITS

%install
install -D -m 0644 -p dictionaries/ur.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ur.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc CREDITS
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.64.1-5.mga10
+ Revision: 2214013
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.64.1-4.mga9
+ Revision: 1841237
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.64.1-3.mga8
+ Revision: 1501741
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.64.1-2.mga7
+ Revision: 1278861
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.64.1-1.mga7
+ Revision: 1213801
- Update to release 0.64.1

* Wed Feb 03 2016 umeabot <umeabot> 0.64-12.mga6
+ Revision: 933127
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.64-11.mga5
+ Revision: 744149
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.64-10.mga5
+ Revision: 680323
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.64-9.mga4
+ Revision: 505866
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.64-8.mga3
+ Revision: 353749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 kamil <kamil> 0.64-7.mga3
+ Revision: 332440
- stop installing symlinks of dicts

* Tue Mar 20 2012 kamil <kamil> 0.64-6.mga2
+ Revision: 224893
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.64-5.mga2
+ Revision: 209142
- stop obsoleting not existing myspell-ur
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.64-3.mga1
+ Revision: 69184
- imported package hunspell-ur


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 09 2009 Caolan McNamara <caolanm@redhat.com> - 0.64-1
- latest version

* Thu Apr 30 2009 Caolan McNamara <caolanm@redhat.com> - 0.61-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 17 2006 Caolan McNamara <caolanm@redhat.com> - 0.6-1
- initial version
